import '../style/style';
import '../style/index';
import $ from 'jquery';
$(document).ready(function() {
  const shareTask = window.sessionStorage.getItem('shareTask');
  if(!shareTask) {
    window.location.href="/login.html";
    return false;
  }
  const boardUrl = JSON.parse(shareTask).boardUrl;
  const desktopUrl = JSON.parse(shareTask).desktopUrl;
  let bigVideo = new ChimeePlayer({
    wrapper: '#bigVideo',  // video dom容器
    src: 'http://aldirect.flv.huya.com/huyalive/94525224-2460686034-10568566041753944064-2789274542-10057-A-0-1.flv?wsSecret=4daf935463a189964d3282dc706e3feb&wsTime=5cde45f1',
    box: 'flv',
    isLive: true,
    autoplay: true,
    muted: false
  });
  let smallVideo = new ChimeePlayer({
    wrapper: '#smallVideo',  // video dom容器
    src: 'http://ivi.bupt.edu.cn/hls/cctv1hd.m3u8',
    box: 'hls',
    isLive: true,
    autoplay: true,
    muted: true
  });
  $('#smallVideo').click(function () {
    $('#bigVideo').removeClass('big-video').addClass('small-video');
    $('#smallVideo').removeClass('small-video').addClass('big-video');
    smallVideo.muted = false;
    bigVideo.muted = true;
  })
  $('#bigVideo').click(function () {
    $('#bigVideo').removeClass('small-video').addClass('big-video');
    $('#smallVideo').removeClass('big-video').addClass('small-video');
    smallVideo.muted = true;
    bigVideo.muted = false;
  })
})
